## About this package

This NuGet package is part of the [Particular Service Platform](https://particular.net/service-platform), which includes [NServiceBus](https://particular.net/nservicebus) and tools to build, monitor, and debug distributed systems.

Click the **Project website** link in the NuGet sidebar to access specific documentation for this package.

## About NServiceBus

With NServiceBus, you can:

- Focus on business logic, not on plumbing or infrastructure code 
- Orchestrate long-running business processes with sagas
- Run on-premises, in the cloud, in containers, or serverless
- Monitor and respond to failures using included platform tooling
- Observe system performance using Open Telemetry integration

NServiceBus includes:

- Support for messages queues using Azure Service Bus, Azure Storage Queues, Amazon SQS/SNS, RabbitMQ, and Microsoft SQL Server
- Support for storing data in Microsoft SQL Server, MySQL, PostgreSQL, Oracle, Azure Cosmos DB, Azure Table Storage, Amazon DynamoDB, MongoDB, and RavenDB
- 24x7 professional support from a team of dedicated engineers located around the world

## Getting started

- Visit the [NServiceBus Quick Start](https://docs.particular.net/tutorials/quickstart/) to learn how NServiceBus helps you build better software systems.
- Visit the [NServiceBus step-by-step tutorial](https://docs.particular.net/tutorials/nservicebus-step-by-step/) to learn how to build NServiceBus systems, including how to send commands, publish events, manage multiple message endpoints, and retry failed messages.
- Install the [ParticularTemplates NuGet package](https://www.nuget.org/packages/ParticularTemplates) to get NServiceBus templates to bootstrap projects using either `dotnet new` or in Visual Studio.
- Check out our other [tutorials](https://docs.particular.net/tutorials/) and [samples](https://docs.particular.net/samples/).
- Get [help with a proof-of-concept](https://particular.net/proof-of-concept).

## Packages

Find links to [all our NuGet packages](https://docs.particular.net/nservicebus/platform-nuget-packages) in our documentation.

## Support

- Browse our [documentation](https://docs.particular.net).
- Reach out to the [ParticularDiscussion](https://discuss.particular.net/) community.
- [Contact us](https://particular.net/support) to discuss your support requirements.
